Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK TSP Java API Reference 10g Release 3 (10.1.3) B25376-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.tsp
Class TSAPolicyID

`java.lang.Object
oracle.security.crypto.tsp.TSAPolicyID`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class TSAPolicyID
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

This class represents a TSAPolicyID object as defined in RFC 3161.

Constructor Summary
`TSAPolicyID(oracle.security.crypto.asn1.ASN1ObjectID id)` Contructs a new TSAPolicyID object with the given OID.
`TSAPolicyID(java.io.InputStream is)` Contructs a TSAPolicyID object by reading a DER-encoded TSAPolicyID object from the given input stream.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other object is "equal to" this one.
`oracle.security.crypto.asn1.ASN1ObjectID` | `getID()` Returns the OID of this object.
`void` | `input(java.io.InputStream is)` Initializes this object by reading in a DER-encoded TSAPolicyID object from the given input stream.
`int` | `length()` Returns the length of the DER encoding of this object in bytes.
`void` | `output(java.io.OutputStream os)` Writes the DER encoding of this object to the given output stream.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TSAPolicyID

    public TSAPolicyID(java.io.InputStream is)
                throws java.io.IOException

  Contructs a TSAPolicyID object by reading a DER-encoded TSAPolicyID object from the given input stream.
Parameters:
  `is` - The input stream.
Throws:
  `If` - an I/O error occurs.
  `java.io.IOException`

### TSAPolicyID

    public TSAPolicyID(oracle.security.crypto.asn1.ASN1ObjectID id)
                throws java.io.IOException

  Contructs a new TSAPolicyID object with the given OID.
Parameters:
  `id` - The OID.
Throws:
  `java.io.IOException` - If an I/O error occurs.

Method Detail

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Writes the DER encoding of this object to the given output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - If an I/O error occurs.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initializes this object by reading in a DER-encoded TSAPolicyID object from the given input stream.
  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `is` -
  Throws:
    `java.io.IOException` - If an I/O error occurs.

### length

    public int length()

  Returns the length of the DER encoding of this object in bytes.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

### getID

    public oracle.security.crypto.asn1.ASN1ObjectID getID()

  Returns the OID of this object.

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other object is "equal to" this one.
  Parameters:
    `o` - The other object.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK TSP Java API Reference 10g Release 3 (10.1.3) B25376-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.